## qtmultimedia-opensource-src 5.3.1

=== debian/changelog ===
qtmultimedia-opensource-src (5.3.1-4) unstable; urgency=medium

  * Make libqgsttools-p1 Architecture: any, as it now builds on Hurd.
  * Use a better version of test_v4l.patch.
    - Fix install files, we now do not have exceptions for Hurd.
  * Update symbols files with Hurd's log.
  * This upload will get rebuilt against a fixed pkg-kde-tools' symbolshelper,
    thus fixing the FTBFS in kfreebsd-amd64 (Closes: #754750).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 24 Jul 2014 11:11:08 -0300

qtmultimedia-opensource-src (5.3.1-3) unstable; urgency=medium

  * Backport test_v4l.patch to allow GStreamer stuff to be built on Hurd
    (Closes: #753835).
    - Fix install files accordingly.
  * Update symbols files with buildds' and current logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 12 Jul 2014 13:29:19 -0300

qtmultimedia-opensource-src (5.3.1-2) unstable; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Jul 2014 13:20:56 -0300

qtmultimedia-opensource-src (5.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies.
  * Fix install files for Hurd.
  * Update symbols files with buildds' and current logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 30 Jun 2014 19:08:40 -0300

qtmultimedia-opensource-src (5.3.0-6) unstable; urgency=medium

  * Only install development files for gstreamer stuff on Linux and KFreeBSD.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 20 Jun 2014 22:08:02 -0300

qtmultimedia-opensource-src (5.3.0-5) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Third try to fix building on Hurd: make some files in
    qtmultimedia5-dev.install Linux/kFreeBSD-specific.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update symbols files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 20 Jun 2014 19:09:06 -0300

qtmultimedia-opensource-src (5.3.0-4) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Do not install gstreamer libraries on Hurd. We are currently not building
    them until QTBUG-39762 gets solved.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 19 Jun 2014 15:43:29 -0300

qtmultimedia-opensource-src (5.3.0-3) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Minor fixes for debian/copyright.
  * Make gstreamer config test a bit stricter, to make sure it does
    not pass on Hurd.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update symbols files with buildd's and current logs (Closes: #746902).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 18 Jun 2014 00:44:07 -0300

qtmultimedia-opensource-src (5.3.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 06 Jun 2014 15:08:29 -0300

qtmultimedia-opensource-src (5.2.0-3) unstable; urgency=low

  [ Pino Toscano ]
  * Simplify qtmultimedia5-examples.install.
  * Remove the Pre-Depends on dpkg >= 1.15.6~, since that version is available
    in Squeeze already.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.
  * Move mkspec files to their new location.
    - B-D on qtbase5-private-dev 5.2.0+dfsg-7 which changed the location.
  * Update symbols files with buildd's logs.
  * Update Standards-Version to 3.9.5, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 31 Jan 2014 20:06:31 -0300

qtmultimedia-opensource-src (5.2.0-2) experimental; urgency=medium

  * Update symbols files with buildd's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 20 Dec 2013 14:39:45 -0300
