## qtmultimedia-opensource-src 5.3.2

=== debian/changelog ===
qtmultimedia-opensource-src (5.3.2-5~bpo70+1) wheezy-backports; urgency=medium

  * Upload to wheezy-backports to solve bugs fixed in Jessie.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 10 Dec 2014 19:48:35 -0300

qtmultimedia-opensource-src (5.3.2-5) unstable; urgency=medium

  * Simplify libqt5multimedia5-plugins.install, solving the FTBFS on
    kfreebsd-* due to the missing ALSA plugin.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 03 Dec 2014 13:51:59 -0300

qtmultimedia-opensource-src (5.3.2-4) unstable; urgency=medium

  * Add a patch from Chris Ruvolo to also build the ALSA plugin even if we
    are building with pulseaudio support (Closes: #771391).
    - Include the plugin in libqt5multimedia5-plugins' install file.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 03 Dec 2014 10:37:12 -0300

qtmultimedia-opensource-src (5.3.2-3) unstable; urgency=medium

  * Remove CMake files for plugins, we don't need to ship them
    (Closes: #765488).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 15 Oct 2014 12:46:29 -0300

qtmultimedia-opensource-src (5.3.2-2~bpo70+2) wheezy-backports; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 09 Nov 2014 23:15:59 -0300

qtmultimedia-opensource-src (5.3.2-2~bpo70+1) wheezy-backports; urgency=medium

  * Upload to wheezy-backports.
  * Update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 09 Oct 2014 14:15:28 -0300

qtmultimedia-opensource-src (5.3.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 22 Sep 2014 23:29:57 -0300

qtmultimedia-opensource-src (5.3.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies.
  * Update symbols files with buildds' logs.
  * Remove test_v4l.patch, applied upstream.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 17 Sep 2014 20:11:40 -0300
