=== debian/control ===
--- 
+++ 
@@ -14,14 +14,14 @@
                libgstreamer0.10-dev,
                libopenal-dev,
                libpulse-dev,
-               libqt5opengl5-dev (>= 5.3.1+dfsg-2~),
+               libqt5opengl5-dev (>= 5.3.2+dfsg~),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.3.1+dfsg-2~),
-               qtbase5-private-dev (>= 5.3.1+dfsg-2~),
-               qtdeclarative5-private-dev (>= 5.3.1~),
+               qtbase5-dev (>= 5.3.2+dfsg~),
+               qtbase5-private-dev (>= 5.3.2+dfsg~),
+               qtdeclarative5-private-dev (>= 5.3.2~),
                zlib1g-dev
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.3.1+dfsg-2~),
-                     qttools5-dev-tools (>= 5.3.1~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.3.2+dfsg~),
+                     qttools5-dev-tools (>= 5.3.2~)
 Standards-Version: 3.9.5
 Homepage: https://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtmultimedia.git
