## qtmultimedia-opensource-src 5.4.1

=== debian/changelog ===
qtmultimedia-opensource-src (5.4.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.4.1.
  * Update debian/watch to point to https://download.qt.io/.
  * Update debian/copyright.
  * Mark destructors symbols missing with GCC 5 as optional
    (closes: #778091).
  * Also add one new symbol to libqt5multimediaquick-p5.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 05 Mar 2015 14:45:17 +0300

qtmultimedia-opensource-src (5.4.0-2) experimental; urgency=medium

  * Install Qt5Quick_QSGVideoNodeFactory_EGL.cmake on armel as well.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 23 Dec 2014 14:44:41 +0300

qtmultimedia-opensource-src (5.4.0-1) experimental; urgency=medium

  [ Timo Jyrinki ]
  * New upstream release.
  * Bump build dependencies.
  * Update qtmultimedia-dev.install
  * Add qtmultimedia5-dev.install-armhf, rename qtmultimedia5-dev.install
    to qtmultimedia5-dev.install-common and update debian/rules to handle
    those similar to how it's done in qtbase.

  [ Dmitry Shachnev ]
  * Drop also_build_alsa_plugin.patch, applied upstream.
  * Update debian/copyright.
  * Update Vcs-Browser field to point to cgit interface.
  * Add qtbase5-doc-html to Build-Depends-Indep to make sure docs
    are properly linked with qtbase.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Add myself to Uploaders.
  * Update symbols files.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 22 Dec 2014 15:09:24 +0300
