=== debian/control ===
--- 
+++ 
@@ -7,25 +7,27 @@
            Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
-           Timo Jyrinki <timo@debian.org>
+           Timo Jyrinki <timo@debian.org>,
+           Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper (>= 9.0.0),
                libasound2-dev [linux-any],
                libgstreamer-plugins-base0.10-dev,
                libgstreamer0.10-dev,
                libopenal-dev,
                libpulse-dev,
-               libqt5opengl5-dev (>= 5.3.2+dfsg~),
+               libqt5opengl5-dev (>= 5.4.1+dfsg~),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.3.2+dfsg~),
-               qtbase5-private-dev (>= 5.3.2+dfsg~),
-               qtdeclarative5-private-dev (>= 5.3.2~),
+               qtbase5-dev (>= 5.4.1+dfsg~),
+               qtbase5-private-dev (>= 5.4.1+dfsg~),
+               qtdeclarative5-private-dev (>= 5.4.1~),
                zlib1g-dev
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.3.2+dfsg~),
-                     qttools5-dev-tools (>= 5.3.2~)
-Standards-Version: 3.9.5
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.4.1+dfsg~),
+                     qtbase5-doc-html (>= 5.4.1+dfsg~),
+                     qttools5-dev-tools (>= 5.4.1~)
+Standards-Version: 3.9.6
 Homepage: https://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtmultimedia.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtmultimedia.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtmultimedia.git
 
 Package: libqt5multimedia5
 Architecture: any
