## qtmultimedia-opensource-src 5.4.2

=== debian/changelog ===
qtmultimedia-opensource-src (5.4.2-1ubuntu2) wily; urgency=medium

  * Rebuild for GCC5 transition.
  * Update symbols.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 13 Jul 2015 16:52:43 +0300

qtmultimedia-opensource-src (5.4.2-1ubuntu1) wily; urgency=medium

  * New upstream release.
  * debian/patches/adding_media_role_property.patch:
    - Adapt for 5.4.2.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 11 Jun 2015 13:43:13 +0000

qtmultimedia-opensource-src (5.4.2-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Clear up the list in Uploaders removing people who hasn't commitited to the
    repo in more than a year. They can re add themselves whenever they want
    (and we really hope to see you back really soon!).
  * Update symbols files with buildds' logs.
  * Expose HTML documentation (Closes: #751178).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 03 Jun 2015 15:52:48 -0300

qtmultimedia-opensource-src (5.4.1-1ubuntu2) vivid; urgency=medium

  * debian/patches/debian/patches/qgstreamercapturesession_avoid_race_eos.patch:
    - Avoid races when sending EOS, making sure pipeline is in playing state
      first (LP: #1433563)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Sun, 19 Apr 2015 20:13:29 -0300

qtmultimedia-opensource-src (5.4.1-1ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Sync with Debian, keep remaining changes:
    - Keep omitting OpenAL from build-deps and don't build Qt Audio Engine
    - Enable tests
    - Keep the transitional package until 16.04 LTS
    - adding_media_role_property.patch

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 11 Mar 2015 06:18:38 +0000

qtmultimedia-opensource-src (5.4.0-2ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Update qtmultimedia-dev.install
  * Add qtmultimedia5-dev.install-armhf, rename qtmultimedia5-dev.install
    to qtmultimedia5-dev.install-common and update debian/rules to handle
    those similar to how it's done in qtbase.
  * Sync with Debian. Remaining changes:
    - Keep omitting OpenAL from build-deps and don't build Qt Audio Engine
    - Enable tests
    - Keep the transitional package until 16.04 LTS
    - adding_media_role_property.patch
  * Update symbols

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 13 Feb 2015 06:37:53 +0000

qtmultimedia-opensource-src (5.3.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Update symbols
  * Sync CMake fix from Debian

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 28 Oct 2014 07:03:09 +0000
