=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: qtmultimedia-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>,
-           Modestas Vainius <modax@debian.org>,
-           Sune Vuorela <debian@pusling.com>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
@@ -13,21 +12,21 @@
                libasound2-dev [linux-any],
                libgstreamer-plugins-base0.10-dev,
                libgstreamer0.10-dev,
-               libopenal-dev,
                libpulse-dev,
-               libqt5opengl5-dev (>= 5.4.1+dfsg~),
+               libqt5opengl5-dev (>= 5.4.2+dfsg~),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.4.1+dfsg~),
-               qtbase5-private-dev (>= 5.4.1+dfsg~),
-               qtdeclarative5-private-dev (>= 5.4.1~),
+               qtbase5-dev (>= 5.4.2+dfsg~),
+               qtbase5-private-dev (>= 5.4.2+dfsg~),
+               qtdeclarative5-private-dev (>= 5.4.2~),
                zlib1g-dev
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.4.1+dfsg~),
-                     qtbase5-doc-html (>= 5.4.1+dfsg~),
-                     qttools5-dev-tools (>= 5.4.1~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.4.2+dfsg~),
+                     qtbase5-doc-html (>= 5.4.2+dfsg~),
+                     qttools5-dev-tools (>= 5.4.2~)
 Standards-Version: 3.9.6
 Homepage: https://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtmultimedia.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtmultimedia.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtmultimedia.git;a=summary
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtmultimedia-opensource-src
 
 Package: libqt5multimedia5
 Architecture: any
@@ -79,11 +78,23 @@
  This package contains a set of widgets to play and record media, and manage a
  collection of media content.
 
+Package: qtdeclarative5-qtmultimedia-plugin
+Architecture: any
+Multi-Arch: same
+Section: oldlibs
+Depends: qml-module-qtmultimedia, ${misc:Depends}
+Description: transitional dummy package for Qt 5 Multimedia QML module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This is a transitional dummy package for qml-module-qtmultimedia
+ which can be safely removed.
+
 Package: qml-module-qtmultimedia
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: qml-module-qtquick2, ${misc:Depends}, ${shlibs:Depends}
+Depends: libqt5multimedia5-plugins, qml-module-qtquick2, ${misc:Depends}, ${shlibs:Depends}
 Breaks: qtdeclarative5-qtmultimedia-plugin (<< 5.2.1-3~)
 Replaces: qtdeclarative5-qtmultimedia-plugin (<< 5.2.1-3~)
 Description: Qt 5 Multimedia QML module
@@ -91,19 +102,6 @@
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains the Multimedia QML module for QtDeclarative.
-
-Package: qml-module-qtaudioengine
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: qtdeclarative5-qtaudioengine-plugin (<< 5.2.1-3~)
-Replaces: qtdeclarative5-qtaudioengine-plugin (<< 5.2.1-3~)
-Description: Qt 5 AudioEngine QML module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the AudioEngine QML module for QtDeclarative.
 
 Package: libqgsttools-p1
 Architecture: any
