=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
 export QT_SELECT := qt5
+export QT_QPA_PLATFORM := minimal
 
 # Retrieve packages that have a .install-common file
 pkgs_with_common = $(patsubst debian/%.install-common,%,$(wildcard debian/*.install-common))
@@ -69,6 +70,10 @@
 	# and/or .install.OS files.
 	dh_install --fail-missing
 
+override_dh_auto_test:
+	export LD_LIBRARY_PATH=$(CURDIR)/lib
+	#cd tests/auto/unit/ && ( test -e Makefile || qmake unit.pro -o Makefile ) && make -f Makefile check
+
 override_dh_clean:
 	dh_clean
