## qtmultimedia-opensource-src 5.5.1

=== debian/changelog ===
qtmultimedia-opensource-src (5.5.1-4ubuntu2) xenial; urgency=medium

  * No-change rebuild to go with otherwise dual-landing silo.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 25 Mar 2016 13:59:45 +0100

qtmultimedia-opensource-src (5.5.1-4ubuntu1) xenial; urgency=medium

  * Merge with Debian to pick up the ALSA detection workaround.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 08 Mar 2016 09:15:11 +0000

qtmultimedia-opensource-src (5.5.1-4) unstable; urgency=medium

  * Add fix_alsa_detection.patch to workaround ALSA >= 1.1.0 detection.
    - Bump build dependency on qtbase to 5.5.1+dfsg-16 to be sure Qt has
      detected ALSA.
  * Update symbols files with buildd's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 05 Mar 2016 19:57:12 -0300

qtmultimedia-opensource-src (5.5.1-3) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 21 Oct 2015 18:52:12 -0300

qtmultimedia-opensource-src (5.5.1-2) experimental; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 19 Oct 2015 11:39:50 -0300

qtmultimedia-opensource-src (5.5.1-1ubuntu2) xenial; urgency=medium

  [ Timo Jyrinki ]
  * More patches from upstream to the playlist:
    - debian/patches/Change-the-way-a-playlist-is-bound-to-a-media-object.patch
      (replaces earlier abandoned Sync-the-state... patch)
    - debian/patches/Added-addItems-to-QML-Playlist-for-batch-adding-of-t.patch
    - debian/patches/Added-insertItems-and-removeItems-to-QML-Playlist.patch
    - debian/patches/Add-moveItem-from-to-to-QMediaPlaylist.patch

  [ Jim Hodapp ]
  * Related changes for compatibility reasons:
    - debian/patches/backport_adjustments.patch

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 22 Dec 2015 13:57:22 +0000

qtmultimedia-opensource-src (5.5.1-1ubuntu1) xenial; urgency=medium

  * New upstream release.
  * Update symbols.
  * Merge with Debian's packaging, remaining changes:
    - Build without OpenAL (in universe), so without qml-module-qtaudioengine
    - Transitional package for 14.04 LTS -> 16.04 LTS
    - Own .symbols files
    - Three patches
    - Enable tests
  * debian/patches/Add-audio-role-API-to-QMediaPlayer.patch
    debian/patches/Added-new-playlist-QML-type.patch:
    - The Audio role API and Playlist type patches were upstreamed for 
      Qt 5.6, use backported versions of those.
  * debian/patches/Sync-the-state-of-the-old-QMediaPlaylistControl-inst.patch
  * Regenerate headers for the audio role API
  * Drop upstreamed patch qgstreamercapturesession_avoid_race_eos.patch

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 01 Dec 2015 08:59:13 +0000

qtmultimedia-opensource-src (5.5.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Update symbols files with buildds' and current logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 17 Oct 2015 23:56:03 -0300

qtmultimedia-opensource-src (5.5.0-3) experimental; urgency=medium

  * Move all private headers to debian/private-headers during build.
  * Call pkgkde-mark-private-symbols only once, to make it really work.
  * Clean up symbols files.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 26 Aug 2015 17:34:37 +0300

qtmultimedia-opensource-src (5.5.0-2) experimental; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 25 Aug 2015 12:19:24 -0300

qtmultimedia-opensource-src (5.5.0-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Update symbols files with buildds' logs.
  * Bump GStreamer to 1.0, this is the first release to give official support
    for it (Closes: #785874).
  * Update install files.
  * Update symbols files with current build log.
  * Mark private symbols in symbols files. It should make handling the later
    much easier.
  * Update debian/copyright.
  * Do not install empty directories.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 24 Aug 2015 23:24:39 -0300

qtmultimedia-opensource-src (5.4.2-3) unstable; urgency=medium

  * Update symbols files with buildds' logs.
  * Update symbols files with current build log against gcc5.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 07 Aug 2015 12:47:52 -0300

qtmultimedia-opensource-src (5.4.2-2) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 24 Jun 2015 15:34:56 -0300

qtmultimedia-opensource-src (5.4.2-1ubuntu3) wily; urgency=medium

  [ Jim Hodapp ]  
  * debian/patches/add_qdeclarative_playlist.patch:
    - Add support for declarative playlists

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 16 Oct 2015 15:17:50 +0200
