=== debian/control ===
--- 
+++ 
@@ -10,23 +10,26 @@
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper (>= 9.0.0),
                libasound2-dev [linux-any],
-               libgstreamer-plugins-base0.10-dev,
-               libgstreamer0.10-dev,
+               libgstreamer-plugins-base1.0-dev,
+               libgstreamer1.0-dev,
                libpulse-dev,
-               libqt5opengl5-dev (>= 5.4.2+dfsg~),
+               libqt5opengl5-dev (>= 5.5.1+dfsg~),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.4.2+dfsg~),
-               qtbase5-private-dev (>= 5.4.2+dfsg~),
-               qtdeclarative5-private-dev (>= 5.4.2~),
+               qml-module-qtquick2,
+               qml-module-qttest,
+               qtbase5-dev (>= 5.5.1+dfsg~),
+               qtbase5-dev (>= 5.5.1+dfsg-16~),
+               qtbase5-private-dev (>= 5.5.1+dfsg~),
+               qtdeclarative5-private-dev (>= 5.5.1~),
+               xvfb,
                zlib1g-dev
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.4.2+dfsg~),
-                     qtbase5-doc-html (>= 5.4.2+dfsg~),
-                     qttools5-dev-tools (>= 5.4.2~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.5.1+dfsg~),
+                     qtbase5-doc-html (>= 5.5.1+dfsg~),
+                     qttools5-dev-tools (>= 5.5.1~)
 Standards-Version: 3.9.6
 Homepage: https://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtmultimedia.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtmultimedia.git;a=summary
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtmultimedia-opensource-src
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtmultimedia.git
 
 Package: libqt5multimedia5
 Architecture: any
