=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
 export QT_SELECT := qt5
-export QT_QPA_PLATFORM := minimal
 
 # Retrieve packages that have a .install-common file
 pkgs_with_common = $(patsubst debian/%.install-common,%,$(wildcard debian/*.install-common))
@@ -22,19 +21,31 @@
 	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qtmultimedia5-dbg
 
 override_dh_auto_configure:
+	# Regenerate headers for the upstream audio role patch backport
+	mkdir .git
 	qmake
 
 override_dh_auto_build-indep:
 	dh_auto_build -Smakefile -- docs
 
+override_dh_auto_test-arch:
+	cd tests/auto/unit && qmake unit.pro && xvfb-run -a -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" make check QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib QML2_IMPORT_PATH=$(CURDIR)/qml
+
+# Do not attempt to run tests during indep build
+override_dh_auto_test-indep:
+
 override_dh_auto_install-arch:
 	dh_auto_install
 
-	# Remove private headers.
-	rm -rfv debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtMultimedia/*/QtMultimedia/private
-	rm -rfv debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtMultimediaWidgets/*/QtMultimediaWidgets/private/
-	rm -rfv debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtMultimediaQuick_p/
-	# And some other private stuff.
+	# Move private headers out of debian/tmp.
+	mkdir -p debian/private-headers
+	mv -v debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtMultimedia/*/QtMultimedia/private \
+		debian/private-headers/QtMultimedia
+	mv -v debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtMultimediaWidgets/*/QtMultimediaWidgets/private \
+		debian/private-headers/QtMultimediaWidgets
+	mv -v debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtMultimediaQuick_p debian/private-headers/
+
+	# Remove some other private stuff.
 	rm -fv debian/tmp/usr/lib/*/qt5/mkspecs/modules/qt_lib_multimedia_private.pri
 	rm -fv debian/tmp/usr/lib/*/qt5/mkspecs/modules/qt_lib_qtmultimediaquicktools_private.pri
 	rm -fv debian/tmp/usr/lib/*/qt5/mkspecs/modules/qt_lib_multimediawidgets_private.pri
@@ -46,8 +57,11 @@
 	# Remove libtool-like files
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
 
-	# Remove CMake files for plugin, we don't need them.
+	# Remove CMake files for plugins, we don't need them.
 	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt5Multimedia/*Plugin.cmake
+
+	# Remove empty directories.
+	find debian/tmp -type d -empty -delete
 
 override_dh_auto_install-indep:
 	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
@@ -70,12 +84,14 @@
 	# and/or .install.OS files.
 	dh_install --fail-missing
 
-override_dh_auto_test:
-	export LD_LIBRARY_PATH=$(CURDIR)/lib
-	#cd tests/auto/unit/ && ( test -e Makefile || qmake unit.pro -o Makefile ) && make -f Makefile check
+override_dh_makeshlibs:
+	dh_makeshlibs
+	# Check for private symbols not marked as such.
+	pkgkde-mark-private-symbols debian/private-headers
 
 override_dh_clean:
 	dh_clean
+	rm -rfv debian/private-headers
 
 	# Don't forget to remove the .install files we generated.
 	for pkg in $(pkgs_with_common); do \
