=== debian/control ===
--- 
+++ 
@@ -13,23 +13,22 @@
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
                libpulse-dev,
-               libqt5opengl5-dev (>= 5.5.1+dfsg~),
+               libqt5opengl5-dev (>= 5.6.1+dfsg~),
                pkg-kde-tools,
                qml-module-qtquick2,
                qml-module-qttest,
-               qtbase5-dev (>= 5.5.1+dfsg~),
-               qtbase5-dev (>= 5.5.1+dfsg-16~),
-               qtbase5-private-dev (>= 5.5.1+dfsg~),
-               qtdeclarative5-private-dev (>= 5.5.1~),
+               qtbase5-dev (>= 5.6.1+dfsg~),
+               qtbase5-private-dev (>= 5.6.1+dfsg~),
+               qtdeclarative5-private-dev (>= 5.6.1~),
                xvfb,
                zlib1g-dev
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.5.1+dfsg~),
-                     qtbase5-doc-html (>= 5.5.1+dfsg~),
-                     qttools5-dev-tools (>= 5.5.1~)
-Standards-Version: 3.9.6
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.6.1+dfsg~),
+                     qtbase5-doc-html (>= 5.6.1+dfsg~),
+                     qttools5-dev-tools (>= 5.6.1~)
+Standards-Version: 3.9.8
 Homepage: https://qt-project.org/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtmultimedia.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtmultimedia.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtmultimedia.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtmultimedia.git
 
 Package: libqt5multimedia5
 Architecture: any
